Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.netlist
Class Map

    java.lang.Object
      rdlc.commands.Map.Language
          rdlc.netlist.Map

Direct Known Subclasses:
  Map

    public abstract class Map

extends Map.Language

This class contains all of the code required to map a complete RDL design to a netlisting language

Version:
  $Revision: 1.7 $
Author:
  Greg Gibeling

Field Summary

Fields inherited from class rdlc.commands.Map.Language
`accurateSim, autoShells, command, config, map`

Constructor Summary
`Map(Map _command, java.lang.String _config, Map _map, java.lang.Boolean _accurateSim, java.lang.Boolean _autoShells)`

Method Summary
`protected void` | `generateLeaves(Instance instance, java.util.List<UnitInstance> leaves)` Generate a list of all the leaf unit instances.

Methods inherited from class rdlc.commands.Map.Language
`backEndPlugin, invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Map

    public Map(Map _command,
               java.lang.String _config,
               Map _map,
               java.lang.Boolean _accurateSim,
               java.lang.Boolean _autoShells)

See Also:
  `rdlc.commands.Map.Language#Language(Map, String, rdlc.rdl.Map, Boolean, Boolean)`

Method Detail

### generateLeaves

    protected void generateLeaves(Instance instance,
                                  java.util.List<UnitInstance> leaves)

  Generate a list of all the leaf unit instances. This is very useful for a netlisting language which doesn't allow hierarchy.

  Parameters:
    `instance` - The instance to start from.
    `leaves` - A list of leaves to add all leaf unit instances to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD